Bug 431461 - gtk crux theme causes mozilla sunbird to crash
gtk crux theme causes mozilla sunbird to crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2-engines (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
http://pastebin.com/f427f81bb
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 13:07 EST by Greg Diebel
Modified: 2009-01-09 00:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:55:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
backtrace for sunbird (24.24 KB, text/plain)
2008-02-04 13:07 EST, Greg Diebel
no flags Details

  None (edit)
Description Greg Diebel 2008-02-04 13:07:49 EST
Description of problem: sunbird crashes if gtk crux theme is enabled
Comment 1 Greg Diebel 2008-02-04 13:07:49 EST
Created attachment 293918 [details]
backtrace for sunbird
Comment 2 Matthias Clasen 2008-02-05 11:48:58 EST
That is not a useful stacktrace, unfortunately. 

Please run sunbird under gdb:

gdb /usr/bin/sunbird

> run

....do something to crash it

> bt

...report the stacktrace
Comment 3 Greg Diebel 2008-02-05 16:15:07 EST
Matthias, unfortunately, fedora does not have sunbird debuginfo packages. They
do not package sunbird at all, afaik. Mozilla Sunbird project does not
distribute debug builds, so I would have to build it myself. I have neither the
time nor interest to do this, but I will elaborate somewhat more on the
situation that caused the crash. GTK crux theme enabled, sunbird displays its
window frame, but immediately hangs. Needs to be killed. Enabled default gtk
theme, sunbird opens fine. Sorry I can't provide debugging info, it should be
easy to reproduce.
Comment 4 Bug Zapper 2008-11-26 04:41:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:55:11 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.